Ramp: Update an inventory item option — request body — body
Update an inventory item option: request body, field body. Complete fields and constraints for contract 2026-10-27.
API reference · Contract 2026-10-27
SDK schema: Update an inventory item option — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
accounting_connection_id | JSON | Optional | |
accounting_connection_id (anyOf 1) | string | Alternative | If this inventory item option belongs to an inactive accounting connection, you must specify that accounting connection’s ID. Format: uuid |
accounting_connection_id (anyOf 2) | null | Alternative | |
entity_remote_ids | JSON | Optional | |
entity_remote_ids (anyOf 1) | array | Alternative | Remote/external IDs of entities created through POST /developer/v1/accounting/entities that this inventory item option should be available for. Pass null to reset the inventory item option to all connected entities. Omit this field to leave entity scoping unchanged. Minimum items: 1 |
entity_remote_ids (anyOf 1)[] | string | Each item | Minimum length: 1 |
entity_remote_ids (anyOf 2) | null | Alternative | |
gl_account_id | string | Optional | The Ramp ID (ramp_id) of the GL account to associate with this inventory item option. The GL account must already exist in Ramp. Use POST /developer/v1/accounting/accounts to upload GL accounts. Format: uuid |
name | string | Optional | The name of the inventory item option. |
reactivate | boolean | Optional | Reactivate a deleted inventory item option. If provided, this must be true; false is not allowed. One of: true |